// MESHDumpMeshTEP.h: interface for the CMESHDumpMeshTEP class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MESHDUMPMESHTEP_H__8514635A_C792_4E80_A842_02747DDB2F4D__INCLUDED_)
#define AFX_MESHDUMPMESHTEP_H__8514635A_C792_4E80_A842_02747DDB2F4D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\DumpMeshTEP.h"
#include "..\ExportClass.h"

#include "..\MaxMesh.h"

class CMESHDumpMeshTEP : public CDumpMeshTEP  
{
public:
	TimeValue		m_tvToDump;		// dump snapshot at this frame time
	CExportClass*	m_pExportClass;

protected:
	TriObject* GetTriObjectFromNode(INode* lpNode, TimeValue t, int &deleteIt);

	int  INodeOfPhysiqueNode(DWORD dwVertex);
	bool LookupVertex(CMaxMesh* pMesh, LPVERTEX lpVertex, int nNode);

public:
	CMESHDumpMeshTEP();
	virtual ~CMESHDumpMeshTEP();

	int callback(INode* lpNode);
};

#endif // !defined(AFX_MESHDUMPMESHTEP_H__8514635A_C792_4E80_A842_02747DDB2F4D__INCLUDED_)
